package com.inspect.metadata.prodevmnt.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import java.io.Serializable;
import java.util.List;

public class ProMainDevicePatrolEquTreeSelect implements Serializable {
    private static final long serialVersionUID = 1L;
    private String dataId;
    private String label;
    private String parentId;
    private Long mainDeviceId;
    private String mainDeviceName;
    private String powerMainEquFlag;
    private Long deviceId;
    private String componentName;
    private String componentFlag;
    private String positionX;
    private String positionY;
    private String positionZ;
    private String patrolpointFlag;
    private Long patrolpointId;
    private String patrolpointName;
    private String presetCode;
    private Long eqpbookId;
    private String patroldeviceFlag;
    private String patroldeviceCode;
    private String patroldeviceName;
    @JsonInclude(Include.NON_EMPTY)
    private List<ProMainDevicePatrolEquTreeSelect> children;

    public String getDataId() {
        return this.dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getLabel() {
        return this.label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getPresetCode() {
        return this.presetCode;
    }

    public void setPresetCode(String presetCode) {
        this.presetCode = presetCode;
    }

    public String getParentId() {
        return this.parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Long getMainDeviceId() {
        return this.mainDeviceId;
    }

    public void setMainDeviceId(Long mainDeviceId) {
        this.mainDeviceId = mainDeviceId;
    }

    public Long getDeviceId() {
        return this.deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public String getMainDeviceName() {
        return this.mainDeviceName;
    }

    public void setMainDeviceName(String mainDeviceName) {
        this.mainDeviceName = mainDeviceName;
    }

    public String getComponentName() {
        return this.componentName;
    }

    public void setComponentName(String componentName) {
        this.componentName = componentName;
    }

    public String getPowerMainEquFlag() {
        return this.powerMainEquFlag;
    }

    public void setPowerMainEquFlag(String powerMainEquFlag) {
        this.powerMainEquFlag = powerMainEquFlag;
    }

    public Long getPatrolpointId() {
        return this.patrolpointId;
    }

    public void setPatrolpointId(Long patrolpointId) {
        this.patrolpointId = patrolpointId;
    }

    public String getPatrolpointName() {
        return this.patrolpointName;
    }

    public void setPatrolpointName(String patrolpointName) {
        this.patrolpointName = patrolpointName;
    }

    public Long getEqpbookId() {
        return this.eqpbookId;
    }

    public void setEqpbookId(Long eqpbookId) {
        this.eqpbookId = eqpbookId;
    }

    public String getPatroldeviceName() {
        return this.patroldeviceName;
    }

    public void setPatroldeviceName(String patroldeviceName) {
        this.patroldeviceName = patroldeviceName;
    }

    public String getComponentFlag() {
        return this.componentFlag;
    }

    public void setComponentFlag(String componentFlag) {
        this.componentFlag = componentFlag;
    }

    public String getPatrolpointFlag() {
        return this.patrolpointFlag;
    }

    public void setPatrolpointFlag(String patrolpointFlag) {
        this.patrolpointFlag = patrolpointFlag;
    }

    public String getPatroldeviceFlag() {
        return this.patroldeviceFlag;
    }

    public void setPatroldeviceFlag(String patroldeviceFlag) {
        this.patroldeviceFlag = patroldeviceFlag;
    }

    public String getPatroldeviceCode() {
        return this.patroldeviceCode;
    }

    public void setPatroldeviceCode(String patroldeviceCode) {
        this.patroldeviceCode = patroldeviceCode;
    }

    public String getPositionX() {
        return this.positionX;
    }

    public void setPositionX(String positionX) {
        this.positionX = positionX;
    }

    public String getPositionY() {
        return this.positionY;
    }

    public void setPositionY(String positionY) {
        this.positionY = positionY;
    }

    public String getPositionZ() {
        return this.positionZ;
    }

    public void setPositionZ(String positionZ) {
        this.positionZ = positionZ;
    }

    public List<ProMainDevicePatrolEquTreeSelect> getChildren() {
        return this.children;
    }

    public void setChildren(List<ProMainDevicePatrolEquTreeSelect> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return "ProMainDevicePatrolEquTreeSelect{" +
                "dataId='" + dataId + '\'' +
                ", label='" + label + '\'' +
                ", parentId='" + parentId + '\'' +
                ", mainDeviceId=" + mainDeviceId +
                ", mainDeviceName='" + mainDeviceName + '\'' +
                ", powerMainEquFlag='" + powerMainEquFlag + '\'' +
                ", deviceId=" + deviceId +
                ", componentName='" + componentName + '\'' +
                ", componentFlag='" + componentFlag + '\'' +
                ", positionX='" + positionX + '\'' +
                ", positionY='" + positionY + '\'' +
                ", positionZ='" + positionZ + '\'' +
                ", patrolpointFlag='" + patrolpointFlag + '\'' +
                ", patrolpointId=" + patrolpointId +
                ", patrolpointName='" + patrolpointName + '\'' +
                ", presetCode='" + presetCode + '\'' +
                ", eqpbookId=" + eqpbookId +
                ", patroldeviceFlag='" + patroldeviceFlag + '\'' +
                ", patroldeviceCode='" + patroldeviceCode + '\'' +
                ", patroldeviceName='" + patroldeviceName + '\'' +
                ", children=" + children +
                '}';
    }
}
